Bug 1462664 - Building SDK can fail because of Go bundle
Building SDK can fail because of Go bundle
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-sdk-ruby
Classification: oVirt
Component: Build (Show other bugs)
4.1.6
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.1.5
: 4.1.8
Assigned To: Aleksei Slaikovskii
Radim Hrazdil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 04:30 EDT by Aleksei Slaikovskii
Modified: 2017-08-23 04:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.1.8
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 04:04:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+
lsvaty: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 78286 master MERGED Changing 'bundler' executable instead of 'bundle'. 2017-06-20 04:33 EDT
oVirt gerrit 78317 sdk_4.1 MERGED Changing 'bundler' executable instead of 'bundle'. 2017-06-20 04:47 EDT

  None (edit)
Description Aleksei Slaikovskii 2017-06-19 04:30:59 EDT
Description of problem:
As now in ./sdk/pom.xml it's set 'bundle' for bundler executable. So if you have go bundle https://godoc.org/golang.org/x/tools/cmd/bundle installed and having it in your PATH 'mvn package' will fail.

Version-Release number of selected component (if applicable):
master

How reproducible:
100%

Steps to Reproduce:
1. Get SDK sources.
2. Have Go bundle in your PATH
3. Run 'mvn package'

Actual results:
Build failure

Expected results:
Build success.
Comment 1 Juan Hernández 2017-07-17 09:58:13 EDT
Note that this issue has been fixed in version 4.1.8 of the SDK, which has already been released via rubygems.org. The package won't be included in the umbrella oVirt project with release 4.1.5.
Comment 2 Juan Hernández 2017-07-17 09:59:41 EDT
Sorry for the mess, please discard the previous comment, it should say this:

Note that this issue has been fixed in version 4.1.8 of the SDK, which has already been released via rubygems.org. The package *will* be included in the umbrella oVirt project with release 4.1.5.
Comment 3 Radim Hrazdil 2017-08-03 03:21:42 EDT
Verified that build of ovirt-engine-sdk-ruby.4.1.8 succeeds with bundle command in PATH.

Note You need to log in before you can comment on or make changes to this bug.